ExternalReference (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.ExternalReference interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface ExternalReference

All Known Subinterfaces:
  CMRProxy, IncidentRecordProxy, ReleaseRecordProxy, RFCProxy, SLA, SLO

    public interface ExternalReference

Represents an external entity managed by an MSS which references one or more ManagedElements in the CMDB.

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getExternalHandle()`
`ModelObject[]` | `getManagedElements()`
`ManagementSoftwareSystem` | `getMSS()`
`boolean` | `hasExternalHandle()`
`boolean` | `hasManagedElements()`
`boolean` | `hasMSS()`
`void` | `setExternalHandle(java.lang.String handle)`
`void` | `setManagedElements(ModelObject[] elements)`
`void` | `setMSS(ManagementSoftwareSystem mss)`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getMSS

    ManagementSoftwareSystem getMSS()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMSS

    void setMSS(ManagementSoftwareSystem mss)

### hasMSS

    boolean hasMSS()

### getExternalHandle

    java.lang.String getExternalHandle()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalHandle

    void setExternalHandle(java.lang.String handle)

### hasExternalHandle

    boolean hasExternalHandle()

### getManagedElements

    ModelObject[] getManagedElements()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManagedElements

    void setManagedElements(ModelObject[] elements)

### hasManagedElements

    boolean hasManagedElements()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD